> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# बातचीतों की सूची दें

GET https://api.elevenlabs.io/v1/convai/conversations

यूज़र के स्वामित्व वाले एजेंट की सभी बातचीत प्राप्त करें। किसी विशिष्ट एजेंट तक सीमित करने का विकल्प उपलब्ध है।

Reference: https://elevenlabs.io/docs/api-reference/conversations/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `cursor` (string, optional, nullable) — अगला पेज फ़ेच करने के लिए इस्तेमाल होता है। रिस्पॉन्स में cursor लौटाया जाता है।
- `agent_id` (string, optional, nullable) — एजेंट id (agent_…) या स्पीच इंजन बाहरी id (seng_), जो उसी अंतर्निहित रिसोर्स पर रिज़ॉल्व होती है।
- `visited_agent_ids` (list of string, optional, nullable) — उन बातचीत को फ़िल्टर करें जिनमें इनमें से कोई एजेंट शामिल था। 50 से ज़्यादा वैल्यू नहीं हो सकतीं।
- `visited_agent_branch_ids` (list of string, optional, nullable) — उन बातचीत को फ़िल्टर करें जिनमें इनमें से कोई एजेंट ब्रांच शामिल थी। 50 से ज़्यादा वैल्यू नहीं हो सकतीं।
- `triggered_procedure_ids` (list of string, optional, nullable) — उन बातचीत को फ़िल्टर करें जिनमें इनमें से कोई प्रोसीजर ट्रिगर हुआ। 50 से ज़्यादा वैल्यू नहीं हो सकतीं।
- `call_successful` (enum, optional, nullable) — सफलता मूल्यांकन का नतीजा
  - Allowed values: `success`, `failure`, `unknown`, `error`
- `call_start_before_unix` (integer, optional, nullable) — इस आरंभ तिथि तक की बातचीत फ़िल्टर करने के लिए Unix टाइमस्टैम्प (सेकंड में)।
- `call_start_after_unix` (integer, optional, nullable) — इस आरंभ तिथि के बाद की बातचीत फ़िल्टर करने के लिए Unix टाइमस्टैम्प (सेकंड में)।
- `call_duration_min_secs` (integer, optional, nullable) — कॉल की न्यूनतम अवधि, सेकंड में।
- `call_duration_max_secs` (integer, optional, nullable) — कॉल की अधिकतम अवधि, सेकंड में।
- `rating_max` (integer, optional, nullable) — अधिकतम कुल रेटिंग (1-5)।
- `rating_min` (integer, optional, nullable) — न्यूनतम कुल रेटिंग (1-5)।
- `has_feedback_comment` (boolean, optional, nullable) — यूज़र फ़ीडबैक टिप्पणियों वाली बातचीत फ़िल्टर करें।
- `user_id` (string, optional, nullable) — उन्हें शुरू करने वाले यूज़र की ID के अनुसार बातचीत फ़िल्टर करें।
- `evaluation_params` (list of string, optional, nullable) — evaluation फ़िल्टर। पैरामीटर दोहराएं। फ़ॉर्मैट: criteria_id:result, जहां result success|failure|unknown में से एक है। उदाहरण: eval=value_framing:success
- `data_collection_params` (list of string, optional, nullable) — डेटा कलेक्शन फ़िल्टर। पैरामीटर दोहराया जा सकता है। फ़ॉर्मैट: id:op:value, जहाँ op इनमें से एक है: eq|neq|gt|gte|lt|lte|in। in के लिए वैल्यू को पाइप से अलग करें। खाली वैल्यू उन बातचीतों से मेल खाती है जहाँ फ़ील्ड कलेक्ट नहीं किया गया था (id:eq:), और खाली वैल्यू के साथ neq उन बातचीतों से मेल खाता है जहाँ वह कलेक्ट किया गया था (id:neq:)। eq सटीक समानता है। gt|gte|lt|lte के लिए संख्यात्मक वैल्यू चाहिए।
- `dynamic_variable_params` (list of string, optional, nullable) — डायनामिक वेरिएबल फ़िल्टर। पैरामीटर दोहराएं। फ़ॉर्मैट: name:op:value, जहां op इनमें से एक है: eq|neq|gt|gte|lt|lte|in। in के लिए मानों को पाइप से अलग करें। खाली मान उन बातचीतों से मेल खाता है जहां वेरिएबल सेट नहीं था (name:eq:), और खाली मान के साथ neq वहां मेल खाता है जहां वह सेट था (name:neq:)। eq सटीक समानता है। gt|gte|lt|lte के लिए संख्यात्मक मान ज़रूरी है। ':' वाले नाम व्यक्त नहीं किए जा सकते।
- `data_collection_ids` (list of string, optional, nullable) — हर बातचीत सारांश में शामिल किए जाने वाले डेटा कलेक्शन फ़ील्ड ID। पैरामीटर दोहराया जा सकता है। छोड़ देने पर data_collection_results वापस नहीं मिलता।
- `evaluation_criteria_ids` (list of string, optional, nullable) — हर बातचीत सारांश में शामिल करने के लिए evaluation criteria ID। पैरामीटर दोहराएं। छोड़ने पर evaluation_criteria_results नहीं लौटाया जाता।
- `tool_names` (list of string, optional, nullable) — कॉल के दौरान इस्तेमाल किए गए टूल नामों के अनुसार बातचीत फ़िल्टर करें।
- `tool_names_successful` (list of string, optional, nullable) — जिन टूल नामों की कॉल सफल हुई, उनके अनुसार बातचीत फ़िल्टर करें।
- `tool_names_errored` (list of string, optional, nullable) — जिन टूल नामों की कॉल में त्रुटि हुई, उनके अनुसार बातचीत फ़िल्टर करें।
- `include_invalid_tool_calls` (boolean, optional, default: false) — उन टूल कॉल्स का भी मिलान करें जो कभी चले ही नहीं।
- `main_languages` (list of string, optional, nullable) — पहचानी गई मुख्य भाषा (भाषा कोड) के अनुसार बातचीत फ़िल्टर करें।
- `page_size` (integer, optional, default: 30) — ज़्यादा से ज़्यादा कितनी बातचीत लौटानी हैं। 100 से ज़्यादा नहीं हो सकतीं, डिफ़ॉल्ट 30 है।
- `summary_mode` (enum, optional, default: exclude) — क्या रिस्पॉन्स में ट्रांसक्रिप्ट सारांश शामिल करने हैं।
  - Allowed values: `exclude`, `include`
- `search` (string, optional, nullable, deprecated) — ट्रांसक्रिप्ट मैसेज में फुल-टेक्स्ट या फ़ज़ी खोज
- `conversation_initiation_source` (enum, optional, nullable, default: unknown) — बातचीत शुरू होने के संभावित स्रोतों को दर्शाने वाला enum।
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `text_only` (boolean, optional, nullable)
- `conversation_product_type` (enum, optional, nullable) — नतीजों को एक ही बातचीत प्रोडक्ट सरफेस तक सीमित करें।
  - Allowed values: `agents`, `speech_engine`
- `branch_id` (string, optional, nullable) — ब्रांच ID के अनुसार बातचीत फ़िल्टर करें।
- `version_id` (string, optional, nullable) — वर्ज़न ID के अनुसार बातचीत फ़िल्टर करें।
- `parent_conversation_id` (string, optional, nullable) — सबएजेंट बातचीत के लिए पैरेंट conversation ID के अनुसार बातचीत फ़िल्टर करें।
- `topic_ids` (list of string, optional, nullable) — टॉपिक डिस्कवरी के दौरान असाइन की गई टॉपिक ID के अनुसार बातचीत फ़िल्टर करें।
- `exclude_statuses` (list of enum, optional, nullable) — दिए गए स्टेटस वाली बातचीत को बाहर रखें। सूची व्यू से जारी / processing बातचीत छिपाने के लिए उपयोगी।
  - Allowed values: `initiated`, `in-progress`, `processing`, `done`, `failed`
- `tag_ids` (list of string, optional, nullable) — conversation-tags एंडपॉइंट के ज़रिए असाइन की गई बातचीत टैग ID के अनुसार बातचीत फ़िल्टर करें।
- `workflow_node_entered_id` (string, optional, nullable) — बातचीत को सिर्फ़ उन तक सीमित करें जो दिए गए नोड में गईं।
- `termination_reasons` (list of string, optional, nullable) — स्टोर किए गए termination_reason (metadata.termination_reason) के अनुसार बातचीत फ़िल्टर करें। कई में से किसी से मिलान के लिए पैरामीटर दोहराएं।
- `guardrail_types` (list of enum, optional, nullable) — उन बातचीत तक फ़िल्टर करें जहाँ इन प्रकारों वाला कोई गार्डरेल ट्रिगर हुआ (metadata.triggered_guardrails.guardrail_type)। कई में से किसी से मिलान के लिए पैरामीटर दोहराएं।
  - Allowed values: `custom`, `prompt_injection`, `self_harm_intent`, `violence_graphic`, `sexual`, `violence`, `harassment`, `sexual_minors`, `self_harm`, `self_harm_instructions`, `harassment_threatening`, `hate`, `hate_threatening`, `profanity`, `religion_or_politics`, `medical_and_legal`, `guardrail`
- `custom_guardrail_names` (list of string, optional, nullable) — उन बातचीत तक फ़िल्टर करें जहाँ इन नामों वाला कोई कस्टम गार्डरेल ट्रिगर हुआ (metadata.triggered_guardrails.guardrail_name)। सिर्फ़ कस्टम गार्डरेल का नाम होता है। कई में से किसी से मिलान के लिए पैरामीटर दोहराएं।
- `sort_direction` (enum, optional) — कॉल शुरू होने के समय के अनुसार बातचीत को सॉर्ट करने की दिशा। डिफ़ॉल्ट रूप से अवरोही (सबसे नया पहले)।
  - Allowed values: `asc`, `desc`

## Response

### 200

सफल रिस्पॉन्स

- `conversations` (list of ConversationSummaryResponseModel, required)
- `has_more` (boolean, required)
- `next_cursor` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### ConversationSummaryResponseModel

- `agent_id` (string, required)
- `conversation_id` (string, required)
- `start_time_unix_secs` (integer, required)
- `call_duration_secs` (integer, required)
- `message_count` (integer, required)
- `status` (enum, required)
  - Allowed values: `initiated`, `in-progress`, `processing`, `done`, `failed`
- `call_successful` (enum, required)
  - Allowed values: `success`, `failure`, `unknown`
- `branch_id` (string, optional, nullable)
- `version_id` (string, optional, nullable)
- `agent_name` (string, optional, nullable)
- `termination_reason` (string, optional, default: )
- `call_success_score` (double, optional, nullable)
- `transcript_summary` (string, optional, nullable)
- `call_summary_title` (string, optional, nullable)
- `main_language` (string, optional, nullable)
- `conversation_initiation_source` (enum, optional, nullable, default: unknown) — बातचीत शुरू होने के संभावित स्रोतों को दर्शाने वाला enum।
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `tool_names` (list of string, optional, nullable)
- `direction` (enum, optional, nullable, default: inbound)
  - Allowed values: `inbound`, `outbound`
- `rating` (double, optional, nullable)
- `sentiment_analysis` (ConversationSentimentAnalysis, optional, nullable)
- `data_collection_results` (map from string to any, optional, nullable)
- `evaluation_criteria_results` (map from string to EvaluationCriteriaSummaryResult, optional, nullable)
- `tag_ids` (list of string, optional) — इस बातचीत को असाइन किए गए बातचीत टैग IDs।

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ConversationSentimentAnalysis

- `overall_label` (enum, required)
  - Allowed values: `positive`, `neutral`, `negative`
- `overall_sentiment_score` (double, required)
- `overall_frustration_score` (double, required)
- `min_user_sentiment_score` (double, required)
- `max_user_frustration_score` (double, required)
- `num_scored_user_turns` (integer, required)

### EvaluationCriteriaSummaryResult

- `result` (enum, required)
  - Allowed values: `success`, `failure`, `unknown`
- `score` (integer, optional, nullable)
- `max_score` (integer, optional, nullable)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "conversations": [
    {
      "agent_id": "string",
      "conversation_id": "string",
      "start_time_unix_secs": 1,
      "call_duration_secs": 1,
      "message_count": 1,
      "status": "initiated",
      "call_successful": "success",
      "branch_id": "string",
      "version_id": "string",
      "agent_name": "string",
      "termination_reason": "",
      "call_success_score": 1.1,
      "transcript_summary": "string",
      "call_summary_title": "string",
      "main_language": "string",
      "conversation_initiation_source": "unknown",
      "tool_names": [
        "string"
      ],
      "direction": "inbound",
      "rating": 1.1,
      "sentiment_analysis": {
        "overall_label": "positive",
        "overall_sentiment_score": 0,
        "overall_frustration_score": 0.5,
        "min_user_sentiment_score": 0,
        "max_user_frustration_score": 0.5,
        "num_scored_user_turns": 1
      },
      "data_collection_results": {},
      "evaluation_criteria_results": {},
      "tag_ids": [
        "string"
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/conversations"

querystring = {"agent_id":"agent_3701k3ttaq12ewp8b7qv5rfyszkz","call_successful":"success"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/conversations?agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz&call_successful=success")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```